Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sqlj.runtime
Class AsciiStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--sqlj.runtime.StreamWrapper
                        |
                        +--sqlj.runtime.AsciiStream

public class AsciiStream
extends StreamWrapper

An InputStream-derived class whose bytes should be interpreted as ASCII. When passing an InputStream as an input parameter to a executable sql operation, both the length of the InputStream and the way to interpret its bytes must be specified. Therefore, an InputStream cannot be passed directly, but rather must be an instance of AsciiStream, BinaryStream or UnicodeStream.

See Also:
  `BinaryStream`, `UnicodeStream`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`AsciiStream(java.io.InputStream in)` Creates an Ascii-valued input stream with an uninitialized length.
`AsciiStream(java.io.InputStream in, int length)` Creates an Ascii-valued input stream of given length.

Methods inherited from class sqlj.runtime.StreamWrapper
`getInputStream, getLength, setLength`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsciiStream

    public AsciiStream(java.io.InputStream in)

  Creates an Ascii-valued input stream with an uninitialized length.

  Note: the length attribute must be set via a call to `setLength()` before use of an AsciiStream as an input (or in-out) parameter to an executable sql operation.

  Parameters:
    `in` - the InputStream to interpret as an AsciiStream.

### AsciiStream

    public AsciiStream(java.io.InputStream in,
                       int length)

  Creates an Ascii-valued input stream of given length.
  Parameters:
    `in` - the InputStream to interpret as an AsciiStream.
    `length` - the length in bytes of the AcsiiStream

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD